TransformationArgumentDefinition
Keywords: uk.ac.ic.doc.automed.templates.TransformationArgumentDefinition,TransformationArgumentDefinition class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates
Class TransformationArgumentDefinition

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.TransformationArgumentDefinition

public class TransformationArgumentDefinition
extends java.lang.Object

The class used to define a template transformation's arguments.

See Also:
  `

  A TransformationArgumentDefinition object is used to define and describe a template transformation's argument. TransformationArgumentDefinition objects can be created through a CompositeTransformation object.

  `

Constructor Summary
`protected` | `TransformationArgumentDefinition(int transId, int position, java.lang.String description, boolean isReturnedValue, int elementNR, int type, int typeInstance, int ref_pos)`
`protected` | `TransformationArgumentDefinition(int transId, int position, java.lang.String tableName, java.lang.String fieldName, java.lang.String description, boolean isReturnedValue)` Constructs a new TransformationArgumentDefinition.

Method Summary
`protected static java.util.ArrayList` | `getArgumentDefinitionsForTransformation(int transId)` Returns all the TransformationArgumentDefinition objects of the specified transformation.
`java.lang.String` | `getDescription()` Returns the description of this TransformationArgumentDefinition.
`java.lang.String` | `getFieldName()` Returns the fieldname of this TransformationArgumentDefinition.
`boolean` | `getIsReturnedValue()` Returns the type of this TransformationArgumentDefinition.
`int` | `getPosition()` Returns the position in the transformation's argument definition list of this TransformationArgumentDefinition.
`java.lang.String` | `getTableName()` Returns the tablename of this TransformationArgumentDefinition.
`int` | `getTransId()` Returns the composite transformation identifier defining which transformation this TransformationArgumentDefinition belongs to.
`void` | `print()`
`protected void` | `remove()` Removes this TransformationArgumentDefinition from the TTR.
`void` | `setDescription(java.lang.String description)` Sets the description of this TransformationArgumentDefinition .
`void` | `setFieldName(java.lang.String name)` Sets the fieldname of this TransformationArgumentDefinition .
`void` | `setIsReturnedValue(boolean isReturnedValue)` Sets the isReturnedValue type of this TransformationArgumentDefinition.
`void` | `setTableName(java.lang.String name)` Sets the tablename of this TransformationArgumentDefinition .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationArgumentDefinition

    protected TransformationArgumentDefinition(int transId,
                                               int position,
                                               java.lang.String tableName,
                                               java.lang.String fieldName,
                                               java.lang.String description,
                                               boolean isReturnedValue)
                                        throws TemplateTransformationRepositoryException,
                                               RepositoryAccessException

  Constructs a new TransformationArgumentDefinition.

Parameters:
  `transId` - composite transformation identifier defining which transformation this argument definition belongs to.
  `position` - the position in the transformation's argument definition list of this TransformationArgumentDefinition
  `tableName` - name of the table defining this argument.
  `fieldName` - name of the table's field, defining this argument.
  `description` - description of this argument
Throws:
  `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.createCompositeTransformationDefinition(int, int, String, String, String, boolean)`
  `RepositoryAccessException` - if the repositories cannot be accessed

### TransformationArgumentDefinition

    protected TransformationArgumentDefinition(int transId,
                                               int position,
                                               java.lang.String description,
                                               boolean isReturnedValue,
                                               int elementNR,
                                               int type,
                                               int typeInstance,
                                               int ref_pos)
                                        throws TemplateTransformationRepositoryException,
                                               RepositoryAccessException

Method Detail

### getTableName

    public java.lang.String getTableName()
                                  throws TemplateTransformationRepositoryException,
                                         RepositoryAccessException

  Returns the tablename of this TransformationArgumentDefinition.

  Returns:
    tablename of this TransformationArgumentDefinition.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.getCompositeTransformationDefinitionTableName(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getFieldName

    public java.lang.String getFieldName()
                                  throws TemplateTransformationRepositoryException,
                                         RepositoryAccessException

  Returns the fieldname of this TransformationArgumentDefinition.

  Returns:
    fieldname of this TransformationArgumentDefinition.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.getCompositeTransformationDefinitionFieldName(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getDescription

    public java.lang.String getDescription()
                                    throws TemplateTransformationRepositoryException,
                                           RepositoryAccessException

  Returns the description of this TransformationArgumentDefinition.

  Returns:
    description of this TransformationArgumentDefinition.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.getCompositeTransformationDefinitionDescription(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getIsReturnedValue

    public boolean getIsReturnedValue()
                               throws TemplateTransformationRepositoryException,
                                      RepositoryAccessException

  Returns the type of this TransformationArgumentDefinition.

  Returns:
    true if this TransformationArgumentDefinition is about an argument that stores a transforkmation's returned value, false othrwise.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.getCompositeTransformationDefinitionIsReturnedValue(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setTableName

    public void setTableName(java.lang.String name)
                      throws TemplateTransformationRepositoryException,
                             RepositoryAccessException

  Sets the tablename of this TransformationArgumentDefinition .

  Parameters:
    `name` - this TransformationArgumentDefinition's tablename.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.setCompositeTransformationDefinitionTableName(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setFieldName

    public void setFieldName(java.lang.String name)
                      throws TemplateTransformationRepositoryException,
                             RepositoryAccessException

  Sets the fieldname of this TransformationArgumentDefinition .

  Parameters:
    `name` - this TransformationArgumentDefinition's fieldname.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.setCompositeTransformationDefinitionFieldName(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setDescription

    public void setDescription(java.lang.String description)
                        throws TemplateTransformationRepositoryException,
                               RepositoryAccessException

  Sets the description of this TransformationArgumentDefinition .

  Parameters:
    `description` - this TransformationArgumentDefinition's description.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.setCompositeTransformationDefinitionDescription(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setIsReturnedValue

    public void setIsReturnedValue(boolean isReturnedValue)
                            throws TemplateTransformationRepositoryException,
                                   RepositoryAccessException

  Sets the isReturnedValue type of this TransformationArgumentDefinition.

  Parameters:
    `isReturnedValue` - true if this TransformationArgumentDefinition is about an argument that stores a transformation's returned value, false otherwise.
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.setCompositeTransformationDefinitionIsReturnedValue(int, int, boolean)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### remove

    protected void remove()
                   throws TemplateTransformationRepositoryException,
                          RepositoryAccessException

  Removes this TransformationArgumentDefinition from the TTR.

  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.removeCompositeTransformationDefinition(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getTransId

    public int getTransId()

  Returns the composite transformation identifier defining which transformation this TransformationArgumentDefinition belongs to.

  Returns:
    transId of this TransformationArgumentDefinition.

### getPosition

    public int getPosition()

  Returns the position in the transformation's argument definition list of this TransformationArgumentDefinition.

  Returns:
    position of this TransformationArgumentDefinition.

### getArgumentDefinitionsForTransformation

    protected static java.util.ArrayList getArgumentDefinitionsForTransformation(int transId)
                                                                          throws TemplateTransformationRepositoryException,
                                                                                 RepositoryAccessException

  Returns all the TransformationArgumentDefinition objects of the specified transformation. Returns `null` if no argument definitions for the specified transformation exist in the TTR.

  Parameters:
    `transId` - ID of transformation that the TransformationArgumentDefinition objects will belong to
  Returns:
    an ArrayList of TransformationArgumentDefinition objects
  Throws:
    `TemplateTransformationRepositoryException` - see `TemplateTransformationRepository.getCompositeTransformationDefinitionArgPosList(int)`.
    `RepositoryAccessException` - if the repositories cannot be accessed

### print

    public void print()
               throws TemplateTransformationRepositoryException,
                      RepositoryAccessException

    `TemplateTransformationRepositoryException`
    `RepositoryAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD